Description

Al activar la edición, en el menú Editar aparece "_Toggle Snapping (F3)".

Associated revisions
Revision 42164 - 04/30/2015 05:04 PM - Francisco Díaz Carsí

refs #3352 Separada la extension de "habilitar/deshabilitar snapping" en dos.

Revision 465 - 04/30/2015 05:13 PM - Francisco Díaz Carsí

refs #3352 Eliminada la habilitación/deshabilitacion automática del snapping en el mapcontrol al comenzar/terminar edición.

History
#1 - 04/17/2015 09:45 AM - Álvaro Anguix

Debería cambiar el texto, según esté activado o no.
Activar snapping
Desactivar snapping

#2 - 04/21/2015 10:15 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#3 - 04/21/2015 10:54 AM - Álvaro Anguix
- Status changed from Fixed to New

El menú se ha llamado "Activar-desactivar snapping" con lo que el usuario no sabe si lo tiene activado o desactivado.
La idea es que si no lo tienes activado ponga "Activar snapping" y si lo tienes activado ponga "Desactivar snapping".
:-)

#4 - 04/21/2015 02:26 PM - Joaquín  del Cerro Murciano

05/17/2024 1/3



Álvaro Anguix wrote:

El menú se ha llamado "Activar-desactivar snapping" con lo que el usuario no sabe si lo tiene activado o desactivado.
La idea es que si no lo tienes activado ponga "Activar snapping" y si lo tienes activado ponga "Desactivar snapping".
:-)

Toogle snaping es activar/desactivar snaping, y la herramienta hace eso. si quieres otra cosa no es cuestion de cambiar un texto, hay que dividir la
herramienta en dos.

#5 - 04/21/2015 02:41 PM - Álvaro Anguix

Ya, no digo que sea una herramienta distinta... pero conforme yo la entiendo es igual que comenzar/finalizar edición. Mismo botón y según esté
activada o no la edición, pone "Comenzar edición" o "Terminar edición".
Si no, como usuario, puede llegar a pasar que no sabes si estás con el snapping activado o no. También podría haber un mensaje en la barra de
estado que informara de esto, pero igual es más engorroso.
De todos modos, si no es un cambio tonto, se puede dejar para más adelante.

#6 - 04/21/2015 06:07 PM - Joaquín  del Cerro Murciano

Álvaro Anguix wrote:

Ya, no digo que sea una herramienta distinta... pero conforme yo la entiendo es igual que comenzar/finalizar edición. Mismo botón y según esté
activada o no la edición, pone "Comenzar edición" o "Terminar edición".

pues eso que son dos herramientas. una comenzar edicion y otra terminar edicion,aunque tengan el mismo icono. aqui no es asi es solo una
herremienta que intercambia de modo snapinng a modo normal.

Si no, como usuario, puede llegar a pasar que no sabes si estás con el snapping activado o no. También podría haber un mensaje en la barra de
estado que informara de esto, pero igual es más engorroso.

estoy de acuerdo en que para el usuario resulta "complicado" saber en que modo esta, pero es asi como se diseño, y no es solo cambiar unas
etiquetas. hay que partir la herramienta en dos

De todos modos, si no es un cambio tonto, se puede dejar para más adelante.

complicado no creo que sea, pero tampoco es tonto.

#7 - 04/28/2015 09:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2309

#8 - 04/30/2015 05:17 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

Se ha separado en dos extensiones para habilitar y deshabilitar el snapping.
Además se ha eliminado en la nueva edición vectorial la habilitación automática del snapping al comenzar edición y su deshabilitación al terminarla.
Pienso que esto debía de estar ahí para hacer pruebas en la edición vectorial nueva cuando aún estaba el manejo de snapping dentro de la edición
antigua.

#9 - 05/07/2015 06:08 PM - Álvaro Anguix
- Status changed from Fixed to Closed
